- Extending Qt Creator Manual
- QtCreator
- ProjectIntroPage
- Extending Qt Creator Manual 13.0.0

# ProjectIntroPage Class

class Utils::ProjectIntroPage

The ProjectIntroPage class is the standard wizard page for a project, letting the user choose its name and path. More...

Header: | #include <ProjectIntroPage>
Inherits: | Utils::WizardPage

- List of all members, including inherited members

## Public Functions

QString | description() const
Utils::FilePath | filePath() const
bool | forceSubProject() const
QString | projectName() const
void | setForceSubProject(bool force)
bool | useAsDefaultPath() const

## Public Slots

void | setDescription(const QString &description)
void | setFilePath(const Utils::FilePath &path)
void | setProjectName(const QString &name)
void | setUseAsDefaultPath(bool u)

## Detailed Description

Looks similar to FileWizardPage, but provides additional functionality:

- Contains a description label at the top for displaying introductory text.
- Does on the fly validation (connected to changed()) and displays warnings and errors in a status label at the bottom (the page is complete when fully validated, validatePage() is thus not implemented).

Note: Careful when changing projectintropage.ui. It must have main geometry cleared and QLayout::SetMinimumSize constraint on the main layout, otherwise, QWizard will squeeze it due to its strange expanding hacks.